import React from 'react';
import purebem from 'purebem';
import useAutoFocus from '@billogram/use-auto-focus';
import useCheckbox from '@billogram/use-checkbox';
import './FoundationCheckbox.scss';

function noop() {}

export default function FoundationCheckbox(_ref) {
  var _ref$autoFocus = _ref.autoFocus,
      autoFocus = _ref$autoFocus === void 0 ? false : _ref$autoFocus,
      _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      _ref$onChange = _ref.onChange,
      onChange = _ref$onChange === void 0 ? noop : _ref$onChange,
      _ref$value = _ref.value,
      value = _ref$value === void 0 ? false : _ref$value;
  var block = purebem('foundation-checkbox');
  var labelRef = React.useRef(null);
  useAutoFocus(labelRef, autoFocus);

  var _useCheckbox = useCheckbox({
    disabled: disabled,
    onChange: onChange,
    value: value
  }),
      handleClick = _useCheckbox.handleClick,
      handleKeyDown = _useCheckbox.handleKeyDown;

  var checked = value;
  var unchecked = !value;
  return /*#__PURE__*/React.createElement("label", {
    className: block({
      checked: checked,
      disabled: disabled,
      unchecked: unchecked
    }),
    onClick: handleClick,
    onKeyDown: handleKeyDown,
    ref: labelRef,
    tabIndex: disabled ? void 0 : 0
  }, /*#__PURE__*/React.createElement("span", {
    className: block('icon', {
      checked: checked,
      disabled: disabled,
      unchecked: unchecked
    })
  }), children !== null ? /*#__PURE__*/React.createElement("span", {
    className: block('content', {
      disabled: disabled
    })
  }, children) : null);
}
//# sourceMappingURL=FoundationCheckbox.js.map